Tags

, ,

Below is a sample build error in installing rmagick:

Gem::Ext::BuildError: ERROR: Failed to build gem native extension.
    /home/artheman/.rbenv/versions/2.2.2/bin/ruby -r ./siteconf20150725-19726-fcbri2.rb extconf.rb
checking for gcc... yes
checking for Magick-config... no
checking for pkg-config... yes

To solve the issues:
Install Imagemagick-dev libraries
Ubuntu systems: sudo apt-get install libmagickwand-dev
RHEL systems: yum install ImageMagick-devel
Mac: brew install imagemagick

Advertisements